using Managing.Application.Abstractions.Repositories;
using Managing.Application.Abstractions.Services;
using static Managing.Common.Enums;

namespace Managing.Application.Shared;

public class TickerService : ITickerService
{
    private readonly IEvmManager _evmManager;

    public TickerService(IEvmManager evmManager)
    {
        _evmManager = evmManager;
    }

    public async Task<List<Ticker>> GetAvailableTicker()
    {
        var tickers = await _evmManager.GetAvailableTicker();
        return tickers;
    }
}
